SystemOrganization addCategory: #'GBT-DSL_GC_Test'!

TestCase subclass: #GbtApplicationTest
	instanceVariableNames: 'mainCtxt'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GBT-DSL_GC_Test'!

!GbtApplicationTest commentStamp: 'hk 3/27/2017 13:23' prior: 0!
I am a test class as well as a demo class.
For the latter I use the 

Class    Instance Variable
	lastCreatedApp:		<Object> 		the latest created instance!

GbtApplicationTest subclass: #GbtAppTestHTBasics
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GBT-DSL_GC_Test'!

!GbtAppTestHTBasics methodsFor: 'tests' stamp: 'hk 3/17/2017 17:18'!
testContactDataPending
	| context newEntry obj |
	context := mainCtxt bizApp contextNamed: #GCContactsContext .
	obj :=	 GCContact contact.
	IntegrationTestThings contactBremenPower: obj.
	mainCtxt receive: ((GbtEvent command: obj) external: true).
	newEntry := context list last.
	self should: [context dataPending value ].
	self should: [newEntry dataPending value ].
! !

!GbtAppTestHTBasics methodsFor: 'tests' stamp: 'hk 3/17/2017 17:17'!
testReceiveBremenPower
	| context newEntry obj |
	context := mainCtxt bizApp contextNamed: #GCContactsContext.
	obj :=	 GCContact contact. 
	IntegrationTestThings contactBremenPower: obj.  
	mainCtxt receive: ((GbtEvent command: obj) external: true).
	newEntry := context list last.
	self should: ['Cont*' match: newEntry bizId].
	self should: [newEntry company = 'Bremen Power AG'].
	self should: [newEntry firstName = #Lisa ].
	self should: [newEntry lastName = #Control ].! !

!GbtAppTestHTBasics methodsFor: 'tests' stamp: 'hk 3/17/2017 17:17'!
testReceiveHHTransport
	| context newEntry obj |
	context := mainCtxt bizApp contextNamed: #GCContactsContext .
	obj :=	 GCContact contact.
	IntegrationTestThings contactHHTransport: obj.
	mainCtxt receive: ((GbtEvent command: obj) external: true).
	newEntry := context list last.
	self should: ['Cont*' match: newEntry bizId].
	self should: [newEntry company = 'Hamburg Transport' ].
	self should: [newEntry firstName = #Tony ].
	self should: [newEntry lastName = #Transport ].! !

GbtApplicationTest subclass: #GbtAppTestSuiteSelfBizNet
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GBT-DSL_GC_Test'!

!GbtAppTestSuiteSelfBizNet methodsFor: 'tests' stamp: 'hk 9/24/2017 15:43'!
confirmRequest
	"after having received a bizNetRequest:
	create a bizNetConfirmRequest and send it to the suppluerProcesses"
	
	| newEntry suplProcessesCtxt supplSubProcessesCtxt bizProcess obj |
	"change some data"
	bizProcess := (mainCtxt bizApp contextNamed: #GCBizProcessesContext) list last.
	bizProcess bizRequest dueDate: '11/1/2016' .
	"get the supplier contexts"
	suplProcessesCtxt := mainCtxt bizApp contextNamed: #GCSupplierBizProcessesContext.
	supplSubProcessesCtxt := mainCtxt bizApp contextNamed: #GCSupplierBizSubProcessesContext.
	"make a ConfirmRequest such as sent over bizNet and receive it"
	obj :=(GCDirectives bizNetConfirmRequestCombinator transform: bizProcess).
	mainCtxt receive: (GbtEvent command: obj).
	
	newEntry := suplProcessesCtxt list last.
	self should: [newEntry bizId = 'SupP2'  ].								"supplierProcess present?"
		
	newEntry := supplSubProcessesCtxt list last.
	self should: [newEntry bizId = 'A'  ].									"supplierProcess present?"
	self should: [newEntry company = bizProcess bizRequest company].				"customer present?"
	self should: [newEntry firstName = bizProcess bizRequest firstName].
	self should: [newEntry lastName = bizProcess bizRequest lastName].
	self should: [newEntry supplierBizRequest dueDate = '11/1/2016' asDate ].				"SD present & changed?"
! !

!GbtAppTestSuiteSelfBizNet methodsFor: 'tests' stamp: 'hk 9/24/2017 15:43'!
testReceiveRequest
	"Receiver/supplier and customer = HamburgTransport"
	
	| bizProcessesContext newEntry  request  supplier bizRequest process provider suppliersBizProcess |
	"prepare the app - main context"
	supplier := mainCtxt vo activeServiceAgent.		
	provider := supplier copy.
	bizProcessesContext := mainCtxt bizApp contextNamed: #GCBizProcessesContext.	"of HamburgTransport"
	"prepare  supplier data"
	suppliersBizProcess := (mainCtxt bizApp contextNamed: #GCSupplierBizProcessesContext)  newEntry.
	process := suppliersBizProcess supplierBizSubProcesses newEntry.
	request := process supplierBizRequest.
	request bizRequestServiceData: GCServiceData serviceData .
	request serviceDataItems newEntry: (GCServiceData serviceDataItemTransport).
	request bizRequestCustomer: supplier copy.
	request bizRequestSupplier: supplier copy.
	request perform: #customerAspectBizId; perform: #supplierAspectBizId. "creates fields that are needed for matches"
	"receive a bizRequest such as coming over bizNet"
	bizRequest := GCDirectives bizNetRequestCombinator transform: process.   
	mainCtxt receive: ((GbtEvent command: bizRequest) external: true).

	self shouldnt: [bizProcessesContext list isEmpty].							"bizProcess created?"
	newEntry := bizProcessesContext list last.
	self should: [newEntry bizId = 'BizP1'  ].									"bizProcess present?"
	self shouldnt: [(newEntry slotSVOAt: #bizRequest)  isNil ].				"Request created ?"
	self should: [newEntry company = supplier company ].					"customer filled?"
	self should: [newEntry firstName = supplier firstName ].
	self should: [newEntry lastName = supplier lastName ].
	self shouldnt: [(newEntry slotSVOAt: #bizCustomer)  isNil].				"Customer created ?"

! !

!GbtAppTestSuiteSelfBizNet methodsFor: 'tests' stamp: 'hk 11/29/2016 17:38'!
testRequestRoundtrip
	"after having received a bizNetRequest:
	create a bizNetConfirmRequest and send it to the suppluerProcesses"
	self testReceiveRequest.
	self confirmRequest! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 8/16/2017 17:15'!
chooseUserApp
	| contacts user |
	contacts := (GbtServer default contextNamed: #GCContactsContext) list collect: #firstName.
	user := UIManager default chooseFrom: contacts values: contacts title: 'send to whom ?' .
	^GbtServer default appAt: user! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 6/7/2017 10:43'!
configure: aCtxt
	| index agent contacts |
	contacts := (aCtxt bizApp contextNamed: #GCContactsContext) list.
	index := UIManager default chooseFrom: (contacts collect: #company) title: 'choose a company' .
	index := 1 max: index.
	agent := 	(aCtxt bizApp contextNamed: #GCContactsContext) list at: index.
	aCtxt  vo activeServiceAgent: agent.
	(aCtxt bizApp contextNamed: #GCEmailContext) vo sender: agent eMail.
! !

!GbtApplicationTest class methodsFor: 'templates' stamp: 'hk 8/16/2017 17:21'!
eMail
	"self eMail edit"

	| res |
	res := GbtSmartNode struct: 'GCEmail' define: {
		{ #summary . '#eMail'}.
		{ #sender . #val: . '' }.
		{ #receiver . #listOf: . self eMailAddress}.
		{ #subject . #val: . ''}.
		{ #body . #text: . ''}.	
 	} .
	res receiver newEntry.
	^res! !

!GbtApplicationTest class methodsFor: 'templates' stamp: 'hk 8/16/2017 17:21'!
eMailAddress
	"self eMailAddress edit"
	^GbtSmartNode struct: 'GCEmailAddress' define: {
		{ #summary . '#emailAddr' }.
		{ #purposes . #(to cc bc) }.
		{ #emailAddr .   #val: . ''}.
	}.
! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 8/16/2017 17:15'!
ensureCompilation
	GbtServer default isCompiled ifFalse: [GbtLogger start. self new makeApp]! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 1/5/2018 16:37'!
exampleInsideTransport
	"self exampleInsideTransport"  
	GbtServer initialize. 
	self ensureCompilation.
	self installUsers.
	GCContexts gcLoginContext  open! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 3/28/2017 10:16'!
exampleReceiveConfirmRequest
	GbtAppTestSuiteSelfBizNet new 
		mainCtxt: self chooseUserApp mainContext;
		confirmRequest! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 3/28/2017 10:15'!
exampleReceiveContacts
	GbtAppTestHTBasics new 
		mainCtxt: self chooseUserApp mainContext;
		testReceiveBremenPower;
		testReceiveHHTransport ! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 3/28/2017 10:16'!
exampleReceiveRequest
	GbtAppTestSuiteSelfBizNet new 
		mainCtxt: self chooseUserApp mainContext;
		testReceiveRequest! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 1/8/2018 18:09'!
example_CleanUp
	GbtServer clearAll. 
	GbtLogger transcriptWindows do: [:w | w close ]! !

!GbtApplicationTest class methodsFor: 'examples' stamp: 'hk 8/16/2017 17:15'!
installUsers
		#(Tony Tom Lisa  Bob) do: [:u| GbtServer default addUser: u withRole: GbtRole forExecute ].
		GbtServer default addUser: #Robert withRole: (GbtRole forExecute addFilter: '#country = ''Germany''' for: #GCContactsContext)! !

!GbtApplicationTest methodsFor: 'accessing' stamp: 'hk 3/17/2017 17:13'!
mainCtxt
	^mainCtxt! !

!GbtApplicationTest methodsFor: 'accessing' stamp: 'hk 3/17/2017 17:13'!
mainCtxt: aCtxt
	mainCtxt := aCtxt! !

!GbtApplicationTest methodsFor: 'running' stamp: 'hk 9/24/2017 15:43'!
makeApp
	| custCtxt |
	GCDirectives initializeInterfaceCombinators .		"needs to be present"
	GCContexts gcEmailContext.									"dto."
	GCContexts gcMainContext.				"creates the program"
	self mainCtxt: GbtServer default mainContext.
	self mainCtxt vo: GCSystemMasterData systemMasterData.  
	(IntegrationTestThings contactHHTransport: mainCtxt vo activeServiceAgent) .																
	custCtxt := self mainCtxt bizApp contextNamed: #GCContactsContext.				
	custCtxt newEntry: IntegrationTestThings contactHHTransport copy.				"1st customer"
	custCtxt newEntry: IntegrationTestThings contactAmsterdamFast copy.			"2nd customer"
	custCtxt newEntry: IntegrationTestThings contactBremenPower copy.				"3rd customer"
	custCtxt newEntry: IntegrationTestThings contactGenevaSpeed copy.				"4th customer"
	custCtxt newEntry: IntegrationTestThings contactHHBerlinTechnologies copy.	"5th customer"




! !

!GbtApplicationTest methodsFor: 'setUp' stamp: 'hk 3/22/2017 14:14'!
setUp
	self tearDown. 
	mainCtxt ifNil: [self makeApp] .
! !

!GbtApplicationTest methodsFor: 'running' stamp: 'hk 1/5/2018 16:37'!
tearDown 
	GbtServer clearStore; initialize. 
	GbtBizNetMockUp stopPolling! !

Object subclass: #IntegrationTestThings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GBT-DSL_GC_Test'!

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:23'!
addressAmsterdamFast
	"self addressAmsterdamFast edit" 

	^self addressAmsterdamFast: GCContact address! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
addressAmsterdamFast: anAddress
	"self addressAmsterdamFast edit" 

	anAddress street: 'Van Deventerlaan'.
	anAddress streetNo: '50'.
	anAddress cityName: 'Utrecht'.
	anAddress cityCode: '3528 AE'.
	anAddress define: #country enumSelect: #Nederlands.
	anAddress addressInfo newEntry: self locationInfoAmsterdamFast.
	^anAddress! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:24'!
addressBerlinTechnologies
	"self addressBerlinTechnologies edit" 

	^self addressBerlinTechnologies: GCContact address! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
addressBerlinTechnologies: anAddress
	"self addressBerlinTechnologies edit" 

	anAddress street: 'Potsdamer Str.'.
	anAddress streetNo: '1'.
	anAddress cityName: 'Berlin'.
	anAddress cityCode: '12277'.
	anAddress define: #country enumSelect: #Germany.
	anAddress addressInfo newEntry: self locationInfoBerlinTechnologies.
	^anAddress
! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:24'!
addressBremenPower
	"self addressBremenPower edit" 

	^self addressBremenPower: GCContact address! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
addressBremenPower: anAddress
	"self addressBremenPower edit" 

	anAddress street: 'Daimlerstr.'.
	anAddress streetNo: '1'.
	anAddress cityName: 'Bremen'.
	anAddress cityCode: '28309'.
	anAddress define: #country enumSelect: #Germany.
	anAddress addressInfo newEntry: self locationInfoBremenPower.
	^anAddress! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:24'!
addressGenevaSpeed
	"self addressGenevaSpeed edit"

	^self addressGenevaSpeed: GCContact address ! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
addressGenevaSpeed: anAddress
	"self addressGenevaSpeed edit" 

	anAddress street: 'Rue Pestalozzi'.
	anAddress streetNo: '17'.
	anAddress cityName: 'Geneve'.
	anAddress cityCode: 'CH 1228'.
	anAddress define: #country enumSelect: #Suisse.
	anAddress addressInfo newEntry: self locationInfoGenevaSpeed.
	^anAddress! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:24'!
addressHHTransport
	"self addressHHTransport edit" 

	^self addressHHTransport: GCContact address! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 11/26/2016 14:38'!
addressHHTransport: anAddress
	"self addressHHTransport edit" 

	anAddress street: 'St. Annen'.
	anAddress streetNo: '1'.
	anAddress cityName: 'Hamburg'.
	anAddress cityCode: '20457'.
	anAddress define: #country enumSelect: #Germany.
	anAddress define: #addressInfo thing: self locationInfoHHTransport.
	^anAddress! !

!IntegrationTestThings class methodsFor: 'asvo test - deprecated' stamp: 'CC 7/12/2016 10:24'!
bizContractBizData1
	"self bizContractBizData1 editD" 

	^self bizContractBizData1: GCBizProcess bizContractBizData ! !

!IntegrationTestThings class methodsFor: 'asvo test - deprecated' stamp: 'hk 7/30/2016 14:45'!
bizContractBizData1: aBizContractBizData
	"self bizContractBizData1 editD" 

	aBizContractBizData bizContractDataItems newEntry: self bizContractDataItem1 .
	^aBizContractBizData! !

!IntegrationTestThings class methodsFor: 'asvo test - deprecated' stamp: 'CC 7/12/2016 10:24'!
bizContractDataItem1
	"self bizContractDataItem1 editD" 

	^self bizContractDataItem1: GCBizAspectItems bizContractDataItem ! !

!IntegrationTestThings class methodsFor: 'asvo test - deprecated' stamp: 'hk 7/30/2016 14:45'!
bizContractDataItem1: aContractDataItem
	"self bizContractDataItem1 editD" 

	aContractDataItem bizDataItemRemarks: 'Transport Berlin-Bremen'.
	aContractDataItem applicableTariffs: 'standard'.
	aContractDataItem bizPriceItems newEntry: self priceItem1 .
	aContractDataItem bizPriceItems newEntry: self priceItem2 .
	aContractDataItem serviceDataItem: self serviceDataItemTransport_BtoHB_2Items.
	^aContractDataItem! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:24'!
bizContractItem1
	"self bizContractItem1 editD" 

	^self bizContractItem1: GCBizAspectItems bizContractItem ! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'hk 7/30/2016 14:45'!
bizContractItem1: aContractItem
	"self bizContractDataItem1 editD" 

	aContractItem contractItemHeader contractItemDescription: 'Transport Berlin-Bremen'.
	aContractItem tariff: 'standard'.
	aContractItem contractPriceItems newEntry: self priceItem1 .
	aContractItem contractPriceItems newEntry: self priceItem2 .
	aContractItem serviceData: self serviceData_BtoHB_2Items.
	^aContractItem! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:30'!
bizOffer1
	"self bizOffer1 editD"  

	^self bizOffer1: GCBizProcess bizOffer ! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'hk 7/30/2016 14:45'!
bizOffer1: aBizOffer
	"self bizOffer1 editD" 

	aBizOffer bizOfferServiceData: self serviceData_BtoHB_2Items.
	aBizOffer bizOfferItems newEntry: IntegrationTestThings bizContractItem1.
	^aBizOffer! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:25'!
contactAmsterdamFast
	"self contactAmsterdamFast editD" 
	"create a smart contact"

	^self contactAmsterdamFast: GCContact contact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
contactAmsterdamFast: aContact
	"self contactAmsterdamFast editD" 
	"create a smart contact"

	aContact firstName: 'Tom'.
	aContact lastName: 'Truck'.
	aContact company: 'Amsterdam Fast'.
	aContact eMail: 'tom.truck@amsterdam-fast.nl'.
	aContact phone: '+31 302471911'.
	aContact address newEntry: self addressAmsterdamFast.
	aContact staff newEntry: self staffPersonTomTruck.
	^aContact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:25'!
contactBremenPower
	"self contactBremenPower edit" 

	^self contactBremenPower: GCContact contact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
contactBremenPower: aContact
	"self contactBremenPower edit" 

	aContact firstName: 'Lisa'.
	aContact lastName: 'Control'.
	aContact company: 'Bremen Power AG'.
	aContact eMail: 'lisa.control@bremenpower.com'.
	aContact phone: '+49 421 84392'.
	aContact address newEntry: self addressBremenPower.
	aContact staff newEntry: self staffPersonLisaControl.
	^aContact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:25'!
contactGenevaSpeed
	"self contactGenevaSpeed editD" 
	"create a smart contact"

	^self contactGenevaSpeed: GCContact contact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
contactGenevaSpeed: aContact
	"self contactGenevaSpeed editD" 
	"create a smart contact"

	aContact firstName: 'Robert'.
	aContact lastName: 'Road'.
	aContact company: 'Geneva Speed'.
	aContact eMail: 'robert.road@geneva-speed.ch'.
	aContact phone: '+41 227333333'.
	aContact address newEntry: self addressGenevaSpeed.
	aContact staff newEntry: self staffPersonRobertRoad.
	^aContact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:25'!
contactHHBerlinTechnologies
	"self contactHHBerlinTechnologies edit" 

	^self contactHHBerlinTechnologies:  GCContact contact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
contactHHBerlinTechnologies: aContact
	"self contactHHBerlinTechnologies edit"

	aContact firstName: 'Bob'.
	aContact lastName: 'Trade'.
	aContact company: 'Berlin Technologies'.
	aContact eMail: 'bob.trade@berlin-technologies.com'.
	aContact phone: '+49 30 994032'.
	aContact address newEntry: self addressBerlinTechnologies.
	aContact staff newEntry: self staffPersonBobTrade.
	^aContact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:25'!
contactHHTransport
	"self contactHHTransport edit" 
	"create a smart contact"

	^self contactHHTransport: GCContact contact! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'hk 7/30/2016 14:45'!
contactHHTransport: aContact
	"self contactHHTransport edit" 
	"create a smart contact"

	aContact firstName: 'Tony'.
	aContact lastName: 'Transport'.
	aContact company: 'Hamburg Transport'.
	aContact eMail: 'tony.transport@hh-transport.de'.
	aContact phone: '+49 40 279333'.
	aContact address newEntry: self addressHHTransport.
	aContact staff newEntry: self staffPersonTonyTransport.
	aContact staff newEntry: self staffPersonCathyCargo.
	aContact staff newEntry: self staffPersonChrisManager.
	^aContact! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:25'!
deliveryLication_HB
	"self deliveryLication_HB edit" 
	
	^self deliveryLocation_HB: GCServiceData deliveryLocation! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:26'!
deliveryLocation_HB: aDeliveryLocation 
	"self destinationLocation_HB: edit" 

	self transportLocation_HB: aDeliveryLocation destination.
	aDeliveryLocation incoTermsAtDestination: 'DDP'.
	^aDeliveryLocation! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoAmsterdamFast
	"self locationInfoAmsterdamFast editD" 

	^self locationInfoAmsterdamFast: GCContact locationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoAmsterdamFast: aLocationInfo
	"self locationInfoAmsterdamFast editD" 

	aLocationInfo summary: 'Amsterdam Fast location'.
	aLocationInfo locationUsage: 'main'.
	aLocationInfo locationName: 'Headquarters'.
	^aLocationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoBerlinTechnologies
	"self locationInfoBerlinTechnologies edit" 

	^self locationInfoBerlinTechnologies: GCContact locationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoBerlinTechnologies: aLocationInfo 
	"self locationInfoBerlinTechnologies edit" 

	aLocationInfo summary: 'Berlin Technologies location'.
	aLocationInfo locationUsage: 'main'.
	aLocationInfo locationName: 'Headquarters'.
	^aLocationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoBremenPower
	"self locationInfoBremenPower edit" 

	^self locationInfoBremenPower: GCContact locationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoBremenPower: aLocationInfo 
	"self locationInfoBremenPower edit" 

	aLocationInfo summary: 'Bremen Power location'.
	aLocationInfo locationUsage: 'main'.
	aLocationInfo locationName: 'Headquarters'.
	^aLocationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoGenevaSpeed
	"self locationInfoGenevaSpeed edit" 

	^self locationInfoGenevaSpeed: GCContact locationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoGenevaSpeed: aLocationInfo 
	"self locationInfoGenevaSpeed edit" 

	aLocationInfo summary: 'GenevaSpeed location'.
	aLocationInfo locationUsage: 'main'.
	aLocationInfo locationName: 'Headquarters'.
	^aLocationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoHHTransport
	"self locationInfoHHTransport edit" 

	^self locationInfoHHTransport: GCContact locationInfo! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:26'!
locationInfoHHTransport: aLocationInfo 
	"self locationInfoHHTransport edit" 

	aLocationInfo summary: 'HH transport location'.
	aLocationInfo purpose: 'main location'.
	aLocationInfo locationName: 'Headquarters'.
	^aLocationInfo! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:26'!
pickupLocation_B
	"self transportLocation_B edit" 

	^self pickupLocation_B: GCServiceData pickupLocation
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:26'!
pickupLocation_B: aPickupLocation 
	"self pickupLocation_B edit" 

	self transportLocation_B: aPickupLocation origin.
	aPickupLocation incoTermsAtOrigin.
	^aPickupLocation! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:26'!
priceItem1
	"self priceItem1X editD" 

	^self priceItem1: GCBizAspectItems contractPriceItem ! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:26'!
priceItem1: aPriceItem
	"self priceItem1X: editD" 

	aPriceItem priceItemDescription: 'Transport Berlin-Bremen'.
	aPriceItem priceItemNote: '20 palettes 5 crates 12.000 kg'.
	aPriceItem qty: 1 .
	aPriceItem priceUnit: 'Transport'.
	aPriceItem pricePerUnit: '600'.
	^aPriceItem! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:27'!
priceItem2
	"self priceItem2 edit" 

	^self priceItem2: GCBizAspectItems contractPriceItem ! !

!IntegrationTestThings class methodsFor: 'app test - offer order activities' stamp: 'CC 7/12/2016 10:27'!
priceItem2: aPriceItem
	"self priceItem2X edit" 

	aPriceItem priceItemDescription: 'Management surcharge'.
	aPriceItem priceItemNote: 'flat'.
	aPriceItem qty: 1 .
	aPriceItem priceUnit: #piece.
	aPriceItem pricePerUnit: '50'.
	^aPriceItem
	! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
serviceDataItemTransportHeader_BtoHB_2Items
	"self serviceDataItemTransportHeader_BtoHB_2Items editD" 

	^self serviceDataItemTransportHeader_BtoHB_2Items: GCServiceData serviceDataItemTransportHeader! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
serviceDataItemTransportHeader_BtoHB_2Items:  aServiceDataItemTransportHeader
	"self serviceDataItemTransportHeader_BtoHB_2Items editD"

	^aServiceDataItemTransportHeader! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
serviceDataItemTransport_BtoHB_2Items
	"self serviceDataItemTransport_BtoHB_2Items editD"  

	^self serviceDataItemTransport_BtoHB_2Items: GCServiceData serviceDataItemTransport
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
serviceDataItemTransport_BtoHB_2Items: aServiceDataItemTransport 
	"self serviceDataItemTransport_BtoHB_2Items editD" 

	self serviceDataItemTransportHeader_BtoHB_2Items: aServiceDataItemTransport serviceDataItemTransportHeader.
	self shipment_BtoHB: aServiceDataItemTransport shipment.
"	self generalRemarks_BtoHB: aServiceDataItemTransport generalRemarks."
	^aServiceDataItemTransport ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
serviceData_BtoHB_2Items
	"self serviceData_BtoHB_2Items editD" 

	^self serviceData_BtoHB_2Items: GCServiceData serviceData
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'hk 7/30/2016 14:45'!
serviceData_BtoHB_2Items: aServiceData
	"self serviceData_BtoHB_2Items editD" 

	aServiceData serviceDataItems newEntry: self serviceDataItemTransport_BtoHB_2Items.
	^aServiceData! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
shipmentDates_BtoHB
	"self shipmentDates_BtoHB edit"
 
	^self shipmentDates_BtoHB: GCServiceData shipmentDates! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'hk 8/1/2017 17:19'!
shipmentDates_BtoHB: aShipmentDates
	"self shipmentDates_BtoHB editD" 

	aShipmentDates pickupDateAndTime handlingDate: '15 Mar 2016' .
	aShipmentDates deliveryDateAndTime handlingDate: '16 Mar 2016' .
	^aShipmentDates ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
shipmentGoodsItem_2CratesParts
	"self shipmentGoodsItem_2CratesParts edit" 

	^self shipmentGoodsItem_2CratesParts: GCServiceData shipmentGoodsItem
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
shipmentGoodsItem_2CratesParts: aShipmentGoodsItem 
	"self shipmentGoodsItem_2CratesParts edit" 

	aShipmentGoodsItem packingQty: 2.
	aShipmentGoodsItem packing: #crate.
	aShipmentGoodsItem singleShipmentGoodsItemWeight: self singleWeight_200kg.
	aShipmentGoodsItem singleShipmentGoodsItemVolume: self singleVolume_1cbm.
	aShipmentGoodsItem contentsDescription: 'parts'.
	^aShipmentGoodsItem! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:27'!
shipmentGoodsItem_5BoxesChemicals
	"self shipmentGoodsItem_5BoxesChemicals edit" 

	^self shipmentGoodsItem_5BoxesChemicals: GCServiceData shipmentGoodsItem
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentGoodsItem_5BoxesChemicals: aShipmentGoodsItem 
	"self shipmentGoodsItem_5BoxesChemicals edit" 

	aShipmentGoodsItem packingQty: 5.
	aShipmentGoodsItem define: #packing enumSelect: #box.
	aShipmentGoodsItem singleShipmentGoodsItemWeight: self singleWeight_350kg.
	aShipmentGoodsItem singleShipmentGoodsItemVolume: self singleVolume_3cbm.
	aShipmentGoodsItem contentsDescription: 'chemicals'.
	^aShipmentGoodsItem! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentGoods_BtoHB
	"self shipmentGoods_BtoHB editD" 

	^self shipmentGoods_BtoHB: GCServiceData shipmentGoods

 ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'hk 7/30/2016 14:45'!
shipmentGoods_BtoHB: aShipmentGoods
	"self shipmentGoods_BtoHB editD" 

	aShipmentGoods shipmentGoodsItems newEntry: self shipmentGoodsItem_5BoxesChemicals.
	aShipmentGoods shipmentGoodsItems newEntry: self shipmentGoodsItem_2CratesParts.
	^aShipmentGoods
 ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentRouteAndDate_BtoHB
	"self shipmentRouteAndDate_BtoHB editD" 

	^self shipmentRouteAndDate_BtoHB: GCServiceData shipmentRouteAndDate
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentRouteAndDate_BtoHB: aShipmentRouteAndDate
	"self shipmentRouteAndDate_BtoHB editD" 

	| x |
	x := GCCommons gcDistance.
	x distance: 450.
	aShipmentRouteAndDate shipmentRouteAndDateHeader routeDistance: x.
	self shipmentRoute_BtoHB: aShipmentRouteAndDate shipmentRoute.
	self shipmentDates_BtoHB: aShipmentRouteAndDate shipmentDates.
	^aShipmentRouteAndDate
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentRoute_BtoHB
	"self shipmentRoute_BtoHB editD" 

	^self shipmentRoute_BtoHB: GCServiceData shipmentRoute
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipmentRoute_BtoHB: aShipmentRoute 
	"self shipmentRoute_BtoHB edit" 

	self pickupLocation_B: aShipmentRoute pickupLocation.
	self deliveryLocation_HB: aShipmentRoute deliveryLocation.
	^aShipmentRoute ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipment_BtoHB
	"self shipment_BtoHB editD" 

	^self shipment_BtoHB: GCServiceData shipment
! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
shipment_BtoHB: aShipment
	"self shipment_BtoHB editD" 

	self shipmentRouteAndDate_BtoHB: aShipment shipmentRouteAndDate.
	self shipmentGoods_BtoHB: aShipment shipmentGoods.
	^aShipment ! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleVolume_1cbm
	"self singleVolume_1cbm edit" 

	^self singleVolume_1cbm: GCServiceData singleShipmentGoodsItemVolume

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleVolume_1cbm: shipmentVolume
	"self singleVolume_1cbm edit" 

	shipmentVolume volumeUnit: #cbm.
	shipmentVolume volume: 1.
	shipmentVolume length: 120.
	shipmentVolume breadth: 80.
	shipmentVolume hight: 60.
	shipmentVolume dimensionUnit: #cm3.
	^shipmentVolume

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleVolume_3cbm
	"self singleVolume_3cbm edit" 

	^self singleVolume_3cbm: GCServiceData singleShipmentGoodsItemVolume

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleVolume_3cbm: shipmentVolume
	"self singleVolume_3cbm edit" 

	shipmentVolume volumeUnit: #cbm.
	shipmentVolume volume: 3.
	shipmentVolume length: 120.
	shipmentVolume breadth: 80.
	shipmentVolume hight: 60.
	shipmentVolume dimensionUnit: #cm3.
	^shipmentVolume

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleWeight_200kg
	"self singleWeight_200kg edit" 

	^self singleWeight_200kg: GCServiceData singleShipmentGoodsItemWeight

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:28'!
singleWeight_200kg: aShipmentGoodsItemWeight
	"self singleWeight_200kg edit" 

	aShipmentGoodsItemWeight weightUnit: #kg.
	aShipmentGoodsItemWeight grossWeight: 200.
	^aShipmentGoodsItemWeight

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:29'!
singleWeight_350kg
	"self singleWeight_350kg edit" 

	^self singleWeight_350kg: GCServiceData singleShipmentGoodsItemWeight

! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:29'!
singleWeight_350kg: shipmentWeight
	"self singleWeight_350kg edit" 

	shipmentWeight weightUnit: #kg.
	shipmentWeight grossWeight: 350.0.
	^shipmentWeight

! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonBobTrade
	"self staffPersonBobTrade edit" 

	^self staffPersonBobTrade: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonBobTrade: aStaffPerson 
	"self staffPersonBobTrade edit" 

	aStaffPerson firstName: 'Bob'.
	aStaffPerson lastName: 'Trade'.
	aStaffPerson eMail: 'bob.trade@berlin-technologies.com'.
	aStaffPerson phone: '+49 30 994032'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonCathyCargo
	"self staffPersonCathyCargo edit" 

	^self staffPersonCathyCargo: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonCathyCargo: aStaffPerson 
	"self staffPersonCaaStaffPersonyCargo edit" 

	aStaffPerson firstName: 'CaaStaffPersony'.
	aStaffPerson lastName: 'Cargo'.
	aStaffPerson eMail: 'cathy.cargo@hh-transport.de'.
	aStaffPerson phone: '+49 40 279334'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonChrisManager
	"self staffPersonChrisManager edit" 

	^self staffPersonChrisManager: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonChrisManager: aStaffPerson 
	"self staffPersonChrisManager edit" 

	aStaffPerson firstName: 'Chris'.
	aStaffPerson lastName: 'Manager'.
	aStaffPerson eMail: 'chris.manager@hh-transport.de'.
	aStaffPerson phone: '+49 40 279330'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonLisaControl
	"self staffPersonLisaControl edit" 


	^self staffPersonLisaControl: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonLisaControl: aStaffPerson 
	"self staffPersonLisaControl edit" 

	aStaffPerson firstName: 'Lisa'.
	aStaffPerson lastName: 'Control'.
	aStaffPerson eMail: 'lisa.control@bremenpower.com'.
	aStaffPerson phone: '+49 421 84392'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonRobertRoad
	"self staffPersonRobertRoad edit" 


	^self staffPersonRobertRoad: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonRobertRoad: aStaffPerson 
	"self staffPersonRobertRoad edit" 

	aStaffPerson firstName: 'Robert'.
	aStaffPerson lastName: 'Road'.
	aStaffPerson eMail: 'robert.road@geneva-speed.ch'.
	aStaffPerson phone: '+41 227333333'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonTomTruck
	"self staffPersonTomTruck edit" 

	^self staffPersonTomTruck: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonTomTruck: aStaffPerson 
	"self staffPersonTomTruck edit" 

	aStaffPerson firstName: 'Tom'.
	aStaffPerson lastName: 'Truck'.
	aStaffPerson eMail: 'tom.truck@amsterdam-fast.nl'.
	aStaffPerson phone: '+31 302471911'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:29'!
staffPersonTonyTransport
	"self staffPersonTonyTransport edit" 

	^self staffPersonTonyTransport: GCContact staffPerson! !

!IntegrationTestThings class methodsFor: 'app test - contacts examples' stamp: 'CC 7/12/2016 10:30'!
staffPersonTonyTransport: aStaffPerson 
	"self staffPersonTonyTransport edit" 

	aStaffPerson firstName: 'Tony'.
	aStaffPerson lastName: 'Transport'.
	aStaffPerson eMail: 'tony.transport@hh-transport.de'.
	aStaffPerson phone: '+49 40 279333'.
	^aStaffPerson! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:30'!
transportLocation_B
	"self transportLocation_B edit" 

	^self transportLocation_B: GCServiceData transportLocation! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:30'!
transportLocation_B: aTransportLocation 
	"self transportLocation_B edit" 

	aTransportLocation city: 'Berlin'.
	aTransportLocation streetAndNo: 'Potsdamer Str. 112'.
	aTransportLocation country: #Germany.
	^aTransportLocation! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:30'!
transportLocation_HB
	"self transportLocation_HB edit" 

	^self transportLocation_HB:GCServiceData transportLocation! !

!IntegrationTestThings class methodsFor: 'app test - service data  BtoHB 2 Items' stamp: 'CC 7/12/2016 10:30'!
transportLocation_HB: aTransportLocation 
	"self transportLocation_HB edit" 

	aTransportLocation city: 'Bremen'.
	aTransportLocation streetAndNo: 'Daimlerstraße 1'.
	aTransportLocation country: #Germany.
	^aTransportLocation! !
